Results 1 to 4 of 4

Thread: I can't install apps win with wine!

  1. #1
    Join Date
    Apr 2015
    Location
    The Earth
    Posts
    498

    Default I can't install apps win with wine!

    Hi
    i installed wine 2.7 in the repo Emulators but wen install apps windows show GUI error
    Code:
     KDEInit could not launch 'wine':
     Could not open library 'libkdeinit5_wine'.
     Cannot load library libkdeinit5_wine: (libkdeinit5_wine: cannot open shared object file: No such file or directory)
    can i fix? or must install wine 2.6 in the official release
    Thanks
    Dual-boot openSUSE and win10
    OpenSUSE Tumbleweed ; Plasma 5.15.x:" LVM encrypted"
    My Partition: GPT and UEFI system
    Hp ProBook 450 G1

  2. #2
    Join Date
    Apr 2015
    Location
    The Earth
    Posts
    498

    Default Re: I can't install apps win with wine!

    i uninstall wine 2.7 and try reinstall wine but show error
    how to fix?
    Code:
      
    ~> sudo zypper install wine
    [sudo] password for root: 
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: wine-2.7-424.1.x86_64 requires wine-32bit = 2.7, but this requirement cannot be provided
      uninstallable providers: wine-32bit-2.7-424.1.x86_64[http-download.opensuse.org-df6aaa79]
     Solution 1: do not install wine-2.7-424.1.x86_64
     Solution 2: break wine-2.7-424.1.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c] (c):
    Dual-boot openSUSE and win10
    OpenSUSE Tumbleweed ; Plasma 5.15.x:" LVM encrypted"
    My Partition: GPT and UEFI system
    Hp ProBook 450 G1

  3. #3

    Default Re: I can't install apps win with wine!

    Quote Originally Posted by 123thinksuse View Post
    Code:
    Problem: wine-2.7-424.1.x86_64 requires wine-32bit = 2.7
    As you can see, wine 2.7 requires wine-32bit 2.7 which cannot be installed for some reason.

    The problem may be that you are only trying to reinstall wine, and not wine-32bit.
    See if this would work:
    Code:
    sudo zypper in -f wine wine-32bit
    But, reinstalling the package won't fix anything (unless your installation is broken for some reason).

    If that doesn't help, please post your repo list and what wine packages you have currently installed:
    Code:
    zypper lr -d
    rpm -qa wine*
    To your original problem:
    Code:
     KDEInit could not launch 'wine':
     Could not open library 'libkdeinit5_wine'.
     Cannot load library libkdeinit5_wine: (libkdeinit5_wine: cannot open shared object file: No such file or directory)
    This error message comes from KDE, not wine.
    So how exactly are you trying to install the Windows app?
    Can you run "wine" in a terminal window? (Konsole e.g.)
    Last edited by wolfi323; 08-May-2017 at 04:51.

  4. #4
    Join Date
    Apr 2015
    Location
    The Earth
    Posts
    498

    Default Re: I can't install apps win with wine!

    Quote Originally Posted by wolfi323 View Post
    As you can see, wine 2.7 requires wine-32bit 2.7 which cannot be installed for some reason.

    The problem may be that you are only trying to reinstall wine, and not wine-32bit.
    See if this would work:
    Code:
    sudo zypper in -f wine wine-32bit
    But, reinstalling the package won't fix anything (unless your installation is broken for some reason).

    If that doesn't help, please post your repo list and what wine packages you have currently installed:
    Code:
    zypper lr -d
    rpm -qa wine*
    To your original problem:
    Code:
     KDEInit could not launch 'wine':
     Could not open library 'libkdeinit5_wine'.
     Cannot load library libkdeinit5_wine: (libkdeinit5_wine: cannot open shared object file: No such file or directory)
    This error message comes from KDE, not wine.
    So how exactly are you trying to install the Windows app?
    Can you run "wine" in a terminal window? (Konsole e.g.)
    Thank You
    after run
    Code:
    sudo zypper in -f wine wine-32bit
    and installed
    It works without any problems
    Solved
    Dual-boot openSUSE and win10
    OpenSUSE Tumbleweed ; Plasma 5.15.x:" LVM encrypted"
    My Partition: GPT and UEFI system
    Hp ProBook 450 G1

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •